Loading...
Searching...
No Matches
option.c File Reference

Manage Library - Define option for parser. More...

`#include <string.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "manage_local_proto.h"`
Include dependency graph for option.c:

Go to the source code of this file.

## Functions

struct Option * | M_define_option (int n, const char *desc, int multiple)
| Define option for parser.
const char * | M_get_options (int do_all)
| Get list of element types separated by comma.
const char * | M_get_option_desc (int do_all)
| Get list of element desc separated by comma.

## Detailed Description

Manage Library - Define option for parser.

(C) 2001-2011 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file option.c.

## Function Documentation

## M_define_option()

struct Option * M_define_option | ( | int | n,
|  | const char * | desc,
|  | int | multiple )

Define option for parser.

Parameters

  n | element id

Returns
  pointer to Option structure
  NULL on error

Definition at line 28 of file option.c.

References G_asprintf(), G_define_option(), list, nlist, and NULL.

## M_get_option_desc()

const char * M_get_option_desc | ( | int | do_all | ) |

Get list of element desc separated by comma.

String buffer is allocated by G_malloc().

Parameters

  do_all | TRUE to add "all" to the buffer

Returns
  pointer to allocated buffer with desc

Definition at line 105 of file option.c.

References list, nlist, and strcpy.

## M_get_options()

const char * M_get_options | ( | int | do_all | ) |

Get list of element types separated by comma.

String buffer is allocated by G_malloc().

Parameters

  do_all | TRUE to add "all" to the buffer

Returns
  pointer to allocated buffer with types

Definition at line 70 of file option.c.

References list, nlist, and strcpy.